Bug 1915674 - Golden image PVC creation - storage size should be taken from the template
Summary: Golden image PVC creation - storage size should be taken from the template
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 08:16 UTC by Ruth Netser
Modified: 2021-02-24 15:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:52:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7884 0 None open Bug 1915674: Get pvc storage size from template 2021-01-20 13:14:30 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:52:56 UTC

Description Ruth Netser 2021-01-13 08:16:23 UTC
Description of problem:
When a user creates a golden image PVC, they attach it to an OS.
Currently the storage size is empty and should be filled by the user.

Along with the PVC's name and namespace, the relevant template also contains the recommended storage size. 
This value should be be used as the default PVC size (editable).


Version-Release number of selected component (if applicable):
OCP 4.7, CMV 2.6

How reproducible:


Steps to Reproduce:
1. Create a PVC from the UI, select to attach it to an OS


Actual results:
Storage size is empty and should be filled by the user

Expected results:
Storage size should be taken from the relevant template.

Additional info:
Template relevant section:

   dataVolumeTemplates:
    - apiVersion: cdi.kubevirt.io/v1beta1
      kind: DataVolume
      metadata:
        name: ${NAME}
      spec:
        pvc:
          accessModes:
          - ReadWriteMany
          resources:
            requests:
              storage: 30Gi

Comment 4 errata-xmlrpc 2021-02-24 15:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.